Subject: Re: [mpls] RtgDir review: draft-ietf-mpls-spring-entropy-label

From: <[email-masked]>
Date: Thu, 26 Apr 2018 13:50:08 +0000

Hi Daniele,

Thanks for your review, I have addressed most of your comments as part of the -09 that I have just submitted. Let me know if it fits your comments.
The not addressed comment is :

  *   “Section 1.1 – Is this needed? The abstract says “This document examines and describes how ELs are to be applied to Segment Routing” and the status is informational. I’m not sure RFC2119 language is needed. E.g. in section 4 “A router capable of reading N labels but not using an EL located within those N labels MUST consider its ERLD to be 0”.  Further reading the document I see constraint against e.g. the ERLD are defined. Maybe it is more appropriate to say that the document also describes the requirements for the usage of EL in SPRING MPLS ? Moreover in section 6 it seems to describe procedures, so it’s even more than applicability and requirements.

Yes, the current intended status is Informational as per a very old discussion but I think it may re-require a discussion. As you pointed, we are now defining some requirements, we are giving some new concepts (ERLD). So I’m open to a debate on the status of the document if it should go to STD track or let it informational. I would like to hear other opinions on this.

Brgds,

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: Tuesday, February 20, 2018 16:10
To: <[email-masked]> ([email-masked])
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RtgDir review: draft-ietf-mpls-spring-entropy-label

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-mpls-spring-entropy-label

Reviewer: Daniele Ceccarelli

Review Date: 2018/02/20

IETF LC End Date: date-if-known

Intended Status: Informational

Summary:

I have some minor concerns about this document that I think should be resolved before publication.

Comments:

The document is well written and I really appreciated the detailed examples and the analysis of the options described in section 10. My only concern, in addition the minor issues listed below, is the scope of the document. It is an informational document and the abstract says it examines and describes how Els are applicable to segment routing. Reading the text it seems it is much more. There are requirements and procedures describer in the document as well as requirements and RFC2119 language is often used. Maybe it’s worth considering a better scoping of the document?

Major Issues:

None

Minor Issues:

  *   Introduction: “Entropy label (EL) [RFC6790] is a technique used in the MPLS data plane to provide entropy for load-balancing.” Providing an intro on what an EL is can be very useful, but a bit more or explanation is needed, just a couple of sentences.
  *   Section 1.1 – Is this needed? The abstract says “This document examines and describes how ELs are to be applied to Segment Routing” and the status is informational. I’m not sure RFC2119 language is needed. E.g. in section 4 “A router capable of reading N labels but not using an EL located within those N labels MUST consider its ERLD to be 0”.  Further reading the document I see constraint against e.g. the ERLD are defined. Maybe it is more appropriate to say that the document also describes the requirements for the usage of EL in SPRING MPLS ? Moreover in section 6 it seems to describe procedures, so it’s even more than applicability and requirements.
  *   Section 3: I don’t understand what this sentence means. Can you rephrase? “As each MPLS node may have limitations in the number of labels it can push when it is ingress or inspect when doing load-balancing, an entropy label insertion strategy becomes important to keep the benefit of the load-balancing.

Nits:

- Abstract: suggest avoid repetition of “applied” as well as examines and describes. What about: “This document describes how Els can be  applied to Segment Routing with an MPLS data plane.

- Section 6: “In term of packet forwarding, by learning the mapping-server advertisement from PE5,”…it should be P5 not PE5.

- Section 6: “   To accomodate the mix of signalling protocols involved during the

   stitching, the entropy label capability SHOULD be propagated between the signalling protocols.” Not clear what this means, maybe it should be propagated between the two domains, not the signaling protocols?

Thanks,

Daniele

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Thu, 26 Apr 2018 13:50:08 +0000

Hi Daniele,

Brgds,

Hello,

Review Date: 2018/02/20

Summary:

Comments:

Major Issues:

None

Minor Issues:

Nits:

Thanks,

Daniele

---

From: <[email-masked]>
Date: Fri, 27 Apr 2018 08:02:08 +0000

Sorry, there is one comment I have missed to reply:

“- Section 6: “   To accomodate the mix of signalling protocols involved during the

   stitching, the entropy label capability SHOULD be propagated between the signalling protocols.” Not clear what this means, maybe it should be propagated between the two domains, not the signaling protocols?”

The text talks about the entropy label capability, not the entropy label itself. The idea is upon stitching to enable transitivity across signaling protocols (as the ELC is carried in signaling protocols).

From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, April 26, 2018 15:50
To: Daniele Ceccarelli; <[email-masked]> ([email-masked])
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: RtgDir review: draft-ietf-mpls-spring-entropy-label

Hi Daniele,

Brgds,

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: Tuesday, February 20, 2018 16:10
To: <[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>)
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RtgDir review: draft-ietf-mpls-spring-entropy-label

Hello,

Review Date: 2018/02/20

Summary:

Comments:

Major Issues:

None

Minor Issues:

Nits:

Thanks,

Daniele

Thank you.

---

From: <[email-masked]>
Date: Fri, 27 Apr 2018 08:02:08 +0000

Hi Daniele,

Brgds,

Hello,

Review Date: 2018/02/20

Summary:

Comments:

Major Issues:

None

Minor Issues:

Nits:

Thanks,

Daniele

Thank you.

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 Apr 2018 11:33:20 +0000

Hi Stephane,

please see below (BOTH replies).

Cheers,
Daniele

From: [email-masked] [mailto:[email-masked]]
Sent: venerdì 27 aprile 2018 10:02
To: LITKOWSKI Stephane OBS/OINIS <[email-masked]>; Daniele Ceccarelli <[email-masked]>; <[email-masked]> ([email-masked]) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: RtgDir review: draft-ietf-mpls-spring-entropy-label

[>DC] yes, understood and since I believe the signaling protocols will be running in separate domains IMHO it’s more appropriate to speak about propagation between the domains and not between the signaling protocols (you don’t propagate and info between two protocols, and if you do that It’s and implementation issue).

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Thursday, April 26, 2018 15:50
To: Daniele Ceccarelli; <[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>)
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: RtgDir review: draft-ietf-mpls-spring-entropy-label

Hi Daniele,

Yes, the current intended status is Informational as per a very old discussion but I think it may re-require a discussion. As you pointed, we are now defining some requirements, we are giving some new concepts (ERLD). So I’m open to a debate on the status of the document if it should go to STD track or let it informational. I would like to hear other opinions on this.
[>DC] Agree. This probably needs to be discussed with the WG and the chairs. If you want to keep the informal status there are some things to be changed. To me it’s simpler to go for standard track and modify the scope of the document, but this is just my opinion.

Brgds,

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 Apr 2018 11:33:20 +0000

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

---

From: <[email-masked]>
Date: Fri, 27 Apr 2018 13:18:20 +0000

Hi Daniele,

There are two cases for stitching, you can stitch at a domain boundary (when using domain, I mean AS), but you can also stitch within the domain between some kind of subdomains that may run different protocols. For example, within a single area, you may have LDP and SR running in different islands, and you may need to propagate the ELC from the SR egress to the LDP ingress.

Brgds,

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: Friday, April 27, 2018 13:33
To: LITKOWSKI Stephane OBS/OINIS; <[email-masked]> ([email-masked])
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: RtgDir review: draft-ietf-mpls-spring-entropy-label

Hi Stephane,

Cheers,
Daniele

To: LITKOWSKI Stephane OBS/OINIS <[email-masked]<mailto:[email-masked]>>; Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>

Hi Daniele,

Brgds,

---

From: <[email-masked]>
Date: Fri, 27 Apr 2018 13:18:20 +0000

Hi Daniele,

Brgds,

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 Apr 2018 14:55:42 +0000

Hi Stephane,

it’s a terminology issue. I don’t think there has to be a 1:1 mapping between domain and AS.  The term domain can refer to various administrative boundaries, in this case signaling domains.
If you want you can say: “propagate between the signalling domains”. The info is not exchanged between the protocols.

BR
Daniele

From: [email-masked] [mailto:[email-masked]]
Sent: venerdì 27 aprile 2018 15:18
To: Daniele Ceccarelli <[email-masked]>; <[email-masked]> ([email-masked]) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: RtgDir review: draft-ietf-mpls-spring-entropy-label

Hi Daniele,

Brgds,

To: LITKOWSKI Stephane OBS/OINIS; <[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>)

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

Thank you.

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 Apr 2018 14:55:42 +0000

Hi Stephane,

BR
Daniele

Hi Daniele,

Brgds,

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

Thank you.

---

From: <[email-masked]>
Date: Fri, 27 Apr 2018 14:58:59 +0000

Make sense, I will correct it.

Sent: Friday, April 27, 2018 16:56

Hi Stephane,

BR
Daniele

To: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>

Hi Daniele,

Brgds,

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

Thank you.

---

From: <[email-masked]>
Date: Fri, 27 Apr 2018 14:58:59 +0000

Hi Stephane,

BR
Daniele

Hi Daniele,

Brgds,

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

Thank you.

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 Apr 2018 15:01:49 +0000

Great.
After sorting out the draft status no more pending issues from my side.

BR
Daniele

Sent: venerdì 27 aprile 2018 16:59

Hi Stephane,

BR
Daniele

Hi Daniele,

Brgds,

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

Thank you.

Thank you.

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 Apr 2018 15:01:49 +0000

Great.

BR
Daniele

Hi Stephane,

BR
Daniele

Hi Daniele,

Brgds,

Hi Stephane,

Cheers,
Daniele

Hi Daniele,

Brgds,

Thank you.

Thank you.